package com.training.ejb;

import javax.ejb.Stateless;
import java.util.concurrent.atomic.AtomicInteger;
import javax.ejb.LocalBean;

/**
 *
 * @author El Hadji Gaye
 */
@Stateless
@LocalBean
public class CounterBean {

	private AtomicInteger number = new AtomicInteger(0);

	public int getNumber() {
		return number.get();
	}

	public void increment() {
		this.number.getAndIncrement();
	}
}